Mail archive
alpine-devel

Re: [alpine-devel] Missing dependency for ifenslave

From: Natanael Copa <natanael.copa_at_gmail.com>
Date: Thu, 26 Feb 2009 20:00:18 +0100

On Thu, 2009-02-26 at 10:02 -0600, Christopher G. Stach II wrote:
> I think I've run into a missing dependency for the ifenslave package, or one of the base packages is missing the modules-update script.
>
> (none):~# apk_add ifenslave
> fetching cdrom://apks/ifenslave-1.1.0-r3.apk
> installing ifenslave-1.1.0-r3
> /var/db/apk/ifenslave-1.1.0-r3/post-install: line 3: modules-update: not found

Hi, Which version of alpine is it?

Hum...

nc ifenslave # svn log .
------------------------------------------------------------------------
r1043 | ncopa | 2008-08-04 11:23:14 +0000 (Mon, 04 Aug 2008) | 1 line

removed module-update as its no longer needed


Looks like I did fix that one in august.

nc ifenslave # tar -ztf ifenslave-1.1.0-r3.apk | grep post-install
var/db/apk/ifenslave-1.1.0-r3/post-install
nc ifenslave # ls -l ifenslave-1.1.0-r3.apk
-rw-r--r-- 71 root root 7914 Dec 4 2007 ifenslave-1.1.0-r3.apk

However, the makefile didnt detect that it was changed and thus it was
never rebuilt.

I will rebuild it for 1.8.1_beta1, but due to the way we use gentoo the
version number will not change. (This is one of the reasons we moved
away from Gentoo for 1.9.x series)

Thanks for reporting!

-nc



---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Feb 26 2009 - 20:00:18 UTC